using System;
using Server;

namespace Server.Items
{
	public class StarArms : PlateArms
	{
		public override int ArtifactRarity{ get{ return 69; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public StarArms()
		{
			Weight = 2.5; 
            		Name = "Star's Muscle of Power"; 
            		Hue = 1154;

			Attributes.BonusInt = 5;
			Attributes.BonusMana = 8;
			Attributes.CastRecovery = 3;
			Attributes.CastSpeed = 1;
			Attributes.LowerManaCost = 15;

			ArmorAttributes.MageArmor = 1;

			ColdBonus = 5;
			EnergyBonus = 15;
			FireBonus = 5;
			PhysicalBonus = 5;
			PoisonBonus = 5;

			LootType = LootType.Blessed;

		}

		public StarArms( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}