using System;
using Server;

namespace Server.Items
{
	public class StarGorget : PlateGorget
	{
		public override int ArtifactRarity{ get{ return 69; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public StarGorget()
		{
			Weight = 2.5; 
            		Name = "Star's Anti-Cut throath"; 
            		Hue = 1154;

			Attributes.BonusInt = 8;
			Attributes.CastRecovery = 2;
			Attributes.CastSpeed = 1;
			Attributes.LowerManaCost = 15;

			ArmorAttributes.MageArmor = 1;

			ColdBonus = 10;
			EnergyBonus = 10;
			FireBonus = 5;
			PhysicalBonus = 10;
			PoisonBonus = 5;

			LootType = LootType.Blessed;

		}

		public StarGorget( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}