using System;
using Server;

namespace Server.Items
{
	public class StarHelm : TribalMask
	{
		public override int ArtifactRarity{ get{ return 69; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public StarHelm()
		{
			Weight = 2.5; 
            		Name = "Star's Mask of Light"; 
            		Hue = 1154;

			Attributes.BonusInt = 5;
			Attributes.BonusMana = 5;
			Attributes.CastRecovery = 1;
			Attributes.CastSpeed = 0;
			Attributes.LowerManaCost = 10;
			Attributes.RegenMana = 4;

			ArmorAttributes.MageArmor = 1;

			ColdBonus = 15;
			EnergyBonus = 5;
			FireBonus = 5;
			PhysicalBonus = 5;
			PoisonBonus = 5;

			LootType = LootType.Blessed;

		}

		public StarHelm( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}